package ink.wgink.login.oauth2.client.converter;

import org.springframework.security.oauth2.provider.token.DefaultAccessTokenConverter;

/**
 * @ClassName: UserAccessTokenConverter
 * @Description: 用户jwt token
 * @Author: WangGeng
 * @Date: 2019/2/28 3:26 PM
 * @Version: 1.0
 **/
public class OAuth2ClientUserAccessTokenConverter extends DefaultAccessTokenConverter {

    public OAuth2ClientUserAccessTokenConverter() {
        super();
        OAuth2ClientUserAuthConverter OAuth2ClientUserAuthConverter = new OAuth2ClientUserAuthConverter();
        super.setUserTokenConverter(OAuth2ClientUserAuthConverter);
    }
}
